Bug 175679 - [PATCH] [SECURITY] Update www/wordpress to 3.5.1
[PATCH] [SECURITY] Update www/wordpress to 3.5.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 20:20 UTC by Xin LI
Modified: 2013-01-30 02:00 UTC (History)
1 user (show)

See Also:


Attachments
wordpress.diff (811 bytes, patch)
2013-01-29 20:20 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2013-01-29 20:20:02 UTC
	vulnerability id 559e00b7-6a4d-11e2-b6b0-10bf48230856
Comment 1 Edwin Groothuis freebsd_committer 2013-01-29 20:20:10 UTC
Maintainer of www/wordpress,

Please note that PR ports/175679 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175679

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-29 20:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter freebsd_committer 2013-01-30 01:50:52 UTC
Author: delphij
Date: Wed Jan 30 01:50:42 2013
New Revision: 311195
URL: http://svnweb.freebsd.org/changeset/ports/311195

Log:
  Update to 3.5.1.  While I'm there, also change russian to use gzipped tarball,
  make the port to use OptionsNG and fix installation permissions.
  
  PR:		ports/175525 [1], ports/175632 [2], ports/175679 [3]
  Submitted by:	Takefu <takefu airport fm> [1],
  		Mihail Timofeev <miha_hard mail ru> [2],
  		delphij [3]
  Approved by:	maintainer, 9267096@gmail.com [1][2], ychsiao [1][3]
  Security:	559e00b7-6a4d-11e2-b6b0-10bf48230856

Added:
  head/russian/wordpress/files/pkg-install.in   (contents, props changed)
  head/www/wordpress/files/
  head/www/wordpress/files/pkg-install.in   (contents, props changed)
  head/www/wordpress/files/pkg-message.in   (contents, props changed)
Deleted:
  head/www/wordpress/pkg-message
Modified:
  head/russian/wordpress/Makefile
  head/russian/wordpress/distinfo
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo

Modified: head/russian/wordpress/Makefile
==============================================================================
--- head/russian/wordpress/Makefile	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/russian/wordpress/Makefile	Wed Jan 30 01:50:42 2013	(r311195)
@@ -2,27 +2,31 @@
 # $FreeBSD$
 
 PORTNAME=	wordpress
-PORTVERSION=	3.5
+PORTVERSION=	3.5.1
 CATEGORIES=	russian www
 MASTER_SITES=	http://ru.wordpress.org/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-ru_RU
 
 MAINTAINER=	9267096@gmail.com
-COMMENT=	State-of-the-art semantic personal publishing platform
+COMMENT=	A state-of-the-art semantic personal publishing platform
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
 
 CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-3.* ja-wordpress-3.*
 
 NO_BUILD=	yes
-USE_ZIP=	yes
 USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
-PORTDOCS=	readme.html
-SUB_FILES=	pkg-message
+PORTDOCS=	license.txt readme.html
+
+OPTIONS_DEFINE=	DOCS
 
 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
@@ -36,15 +40,18 @@ pre-install:
 	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
 		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi
 
+.include <bsd.port.options.mk>
+
 do-install:
 	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${WWWDIR}/
 	${CP} -R ${WRKSRC}/ ${WWWDIR}/
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/
 	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
 .endif
 
 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/russian/wordpress/distinfo
==============================================================================
--- head/russian/wordpress/distinfo	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/russian/wordpress/distinfo	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.5-ru_RU.zip) = 850d56fee6cdd45c765d627d41df7c8b318470bebbb7b07a722ee7eb4d53cf21
-SIZE (wordpress-3.5-ru_RU.zip) = 6664495
+SHA256 (wordpress-3.5.1-ru_RU.tar.gz) = 4e233d270fbadcaa9ab68e8fe26df7864b03194e5f6dd4a9860d7d872628b4c7
+SIZE (wordpress-3.5.1-ru_RU.tar.gz) = 6185231

Added: head/russian/wordpress/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/wordpress/files/pkg-install.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,12 @@
+#!/bin/sh
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac
\ No newline at end of file

Modified: head/www/wordpress/Makefile
==============================================================================
--- head/www/wordpress/Makefile	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/www/wordpress/Makefile	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	wordpress
-# Date created:		2004-07-29
-# Whom:			Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
-#
+# Created by: Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	wordpress
-PORTVERSION=	3.5
+PORTVERSION=	3.5.1
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	http://wordpress.org/
@@ -14,6 +10,9 @@ MASTER_SITES=	http://wordpress.org/
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	A state-of-the-art semantic personal publishing platform
 
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
+
 CONFLICTS_INSTALL=	de-wordpress-3.* ja-wordpress-3.* ru-wordpress-3.*
 
 NO_BUILD=	yes
@@ -21,6 +20,9 @@ USE_PHP=	curl gd mysql pcre tokenizer xm
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html
 
@@ -49,6 +51,7 @@ do-install:
 .endif
 
 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/www/wordpress/distinfo
==============================================================================
--- head/www/wordpress/distinfo	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/www/wordpress/distinfo	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.5.tar.gz) = def1d094dbd3fcc52208d4e63ae4c31901dfd97e9b4cd619b7d017fd342972ab
-SIZE (wordpress-3.5.tar.gz) = 5009441
+SHA256 (wordpress-3.5.1.tar.gz) = f7d627bc886eac75aae22e526acdbdea244a12a92f02e6084ba5193d4b0d7a97
+SIZE (wordpress-3.5.1.tar.gz) = 5012722

Added: head/www/wordpress/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/wordpress/files/pkg-install.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# $FreeBSD$
+
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac

Added: head/www/wordpress/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/wordpress/files/pkg-message.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,6 @@
+                  **** NOTE ****
+Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
+in %%WWWDIR%% and modify it to fit your MySQL.
+Maybe you need 'mysqladmin create wordpress' first.
+If you are upgrading from 1.x or 2.x to 3.x, please run
+http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Xin LI freebsd_committer 2013-01-30 01:51:54 UTC
State Changed
From-To: feedback->closed

Committed with changes from ports/175525.